
D4Science Infrastructure - Support #11823

Interaction R - workspace : function to retrieve Link

May 22, 2018 10:11 AM - Paul Taconet

Status: Closed Start date: May 22, 2018

Priority: High Due date:  

Assignee: Paul Taconet % Done: 100%

Category:  Estimated time: 0.00 hour

Infrastructure: Production   

Description

I need to retrieve through R the URL of some files that are stored in the WS.

The function "getPublicFileLinkWS" (

http://svn.research-infrastructures.eu/public/d4science/gcube/trunk/data-analysis/RConfiguration/RD4SFunctions/workspace_interact

ion.r) enables to retrieve the Public Link. Is there such function to retrieve the Link (i.e. the URL that redirects to the file on the WS,

hence, with the need to login to access the file)? If not, is it possible to create it?

Thanks,

Paul

History

#1 - May 22, 2018 10:28 AM - Gianpaolo Coro

- Assignee changed from Gianpaolo Coro to Massimiliano Assante

#2 - May 24, 2018 09:32 AM - Paul Taconet

Hi,

Any information on this ticket? The objective for me is to provide some links to the data through the catalogue, with the need for the user to connect to

the VRE in order to download the data (as the data are not necessarily public). The workflow to publish the data is written in R, this is why I would

need such R function.

Thanks,

Paul

#3 - May 29, 2018 12:44 PM - Massimiliano Assante

- % Done changed from 0 to 100

- Status changed from New to Feedback

Hello Paul,

there is not GetLink REST API. We could add it in the next release meaning will be available in July. Please take into account that you will also need

to specify the base URL of the gateway though (e.g. https://bluebridge.d4science.org, or https://i-marine.d4science.org.

#4 - May 29, 2018 12:48 PM - Massimiliano Assante

- Assignee changed from Massimiliano Assante to Paul Taconet

Paul, If the timing is ok with you we can schedule the activity. Please let me know.

#5 - May 29, 2018 01:01 PM - Paul Taconet

I would actually be interested to have this function to use it on my workflow. By July it is fine for me.

Thanks

#7 - May 29, 2018 02:25 PM - Massimiliano Assante

- Status changed from Feedback to Closed

Feature #11853 has been created to support the request
